##### basic_socket_acceptor::wait (2 of 2 overloads)

Wait for the acceptor to become ready to read, ready to write, or to have pending error conditions.

    void wait(
        wait_type w,
        asio::error_code & ec);

This function is used to perform a blocking wait for an acceptor to enter a ready to read, write or error condition state.

###### Parameters

w

  Specifies the desired acceptor state.

ec

  Set to indicate what error occurred, if any.

###### Example

Waiting for an acceptor to become readable.

    asio::ip::tcp::acceptor acceptor(io_context);
    ...
    asio::error_code ec;
    acceptor.wait(asio::ip::tcp::acceptor::wait_read, ec);